> This page is for APIs, version Calculations.
> For other versions, use one of these documentation indexes:
> - Overview (default): https://avalara.ferndocs.com/api-reference/overview/llms.txt
> - Calculations: https://avalara.ferndocs.com/api-reference/calculations/llms.txt
> - E-invoicing: https://avalara.ferndocs.com/api-reference/e-invoicing/llms.txt
> - Brazil: https://avalara.ferndocs.com/api-reference/brazil/llms.txt
> - Returns: https://avalara.ferndocs.com/api-reference/returns/llms.txt
> - Shared service: https://avalara.ferndocs.com/api-reference/shared-service/llms.txt
> - 1099 & W-9: https://avalara.ferndocs.com/api-reference/1099-w9/llms.txt
> - Tax registrations & business licenses: https://avalara.ferndocs.com/api-reference/tax-registrations/llms.txt
> - ECM: https://avalara.ferndocs.com/api-reference/ecm/llms.txt
> - Cross-Border: https://avalara.ferndocs.com/api-reference/cross-border/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://avalara.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://avalara.ferndocs.com/_mcp/server.

# List Countries

GET https://rest.avatax.com/api/v2/definitions/countries

> **Access control:** this endpoint is available to users with the `everyone` role.

Returns a list of ISO 3166 country codes based on the scope filter.
This API is intended to be useful when presenting a dropdown box in your website to allow customers to select a country for
a shipping address.
            
Scope options:
- Custom: Return only countries for which there is a TaxTypeMapping with IsCustomContent = true (requires subscription)
- All (default): Return all ISO 3166 countries

Reference: https://avalara.ferndocs.com/api-reference/calculations/ava-tax/public-reference/list-countries

## Authentication

- `Authorization` header (required) — API Key authentication via header

## Request

### Query parameters

- `$filter` (string, optional) — A filter statement to identify specific records to retrieve. For more information on filtering, see [Filtering in REST](http://developer.avalara.com/avatax/filtering-in-rest/).*Not filterable:* alpha3Code, isEuropeanUnion, localizedNames, addressesRequireRegion
- `$top` (integer, optional) — If nonzero, return no more than this number of results. Used with `$skip` to provide pagination for large datasets. Unless otherwise specified, the maximum number of records that can be returned from an API call is 1,000 records.
- `$skip` (integer, optional) — If nonzero, skip this number of results before returning data. Used with `$top` to provide pagination for large datasets.
- `$orderBy` (string, optional) — A comma separated list of sort statements in the format `(fieldname) [ASC|DESC]`, for example `id ASC`.
- `$scope` (enum, optional) — Optional query parameter to filter by Custom or All countries (default: All)
  - Allowed values: `System`, `Custom`, `All`

### Headers

- `X-Avalara-Client` (string, optional, default: Swagger UI; 26.7.0; Custom; 1.0) — Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) .

## Response

### 200

Success

- `@recordsetCount` (integer, optional)
- `value` (list of IsoCountryModel, optional)
- `@nextLink` (string, optional)
- `pageKey` (string, optional)

## Types

### IsoCountryModel

Represents an ISO 3166 recognized country

- `code` (string, optional) — The two character ISO 3166 country code
- `alpha3Code` (string, optional) — The three character ISO 3166 country code
- `name` (string, optional) — The full name of this country in uppercase. For names in proper or formal case, or for names in other languages, please examine the `localizedNames` element for an appropriate name.
- `isEuropeanUnion` (boolean, optional) — True if this country is a member of the European Union
- `localizedNames` (list of IsoLocalizedName, optional) — A list of localized names in a variety of languages. This list is maintained by the International Standards Organization.
- `addressesRequireRegion` (boolean, optional) — Whether or not this country requires a region in postal addresses.

### IsoLocalizedName

Represents a language-specific localized name of a particular geographic entity such as a country or a region.

- `languageAlpha2Code` (string, optional) — The two-character alphanumeric code identifying the language in which this name is used. Note that languageAlpha2Code and language3AlphaCode refer to the same language.
- `languageAlpha3Code` (string, optional) — The three-character alphanumeric code identifying the language in which this name is used. Note that languageAlpha2Code and language3AlphaCode refer to the same language.
- `name` (string, optional) — The name of this geographic entity as known in this language.

## Examples

**Response**

```json
{
  "@recordsetCount": 1,
  "value": [
    {
      "code": "FR",
      "alpha3Code": "string",
      "name": "France",
      "isEuropeanUnion": true,
      "localizedNames": [
        {
          "languageAlpha2Code": "en",
          "languageAlpha3Code": "eng",
          "name": "United States"
        }
      ],
      "addressesRequireRegion": false
    }
  ],
  "@nextLink": "string",
  "pageKey": "string"
}
```

**SDK Code**

```python
import requests

url = "https://rest.avatax.com/api/v2/definitions/countries"

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://rest.avatax.com/api/v2/definitions/countries';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.avatax.com/api/v2/definitions/countries"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://rest.avatax.com/api/v2/definitions/countries")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.avatax.com/api/v2/definitions/countries")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.avatax.com/api/v2/definitions/countries', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://rest.avatax.com/api/v2/definitions/countries");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.avatax.com/api/v2/definitions/countries")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```